<form class="section dhs-match regular-mat-form-field" [formGroup]="dhsGroup">
  <div class="dhs-match-border-box">
    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="space-around" fxLayoutWrap="wrap"
      style="margin-right: 20px">
      <div class="dhs-match-label" fxLayout="column">
        <mat-label>Cares ID :</mat-label>
      </div>
      &nbsp;&nbsp;
      <div class="dhs-match-field" fxLayout="column">
        <mat-form-field appearance="outline">
          <input matInput name="caresid" formControlName="caresIdCtrl">
        </mat-form-field>
      </div>
      <div class="dhs-match-label" fxLayout="column">
      </div>
      &nbsp;&nbsp;
      <div class="dhs-match-field" fxLayout="column">
      </div>
      <div class="dhs-match-label" fxLayout="column">
      </div>
      &nbsp;&nbsp;
      <div class="dhs-match-field" fxLayout="column">
      </div>
    </div>
    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="space-around" fxLayoutWrap="wrap"
      style="margin-right: 20px">
      <div class="dhs-match-label" fxLayout="column">
        <mat-label>First Name :</mat-label>
      </div>
      &nbsp;&nbsp;
      <div class="dhs-match-field" fxLayout="column">
        <mat-form-field appearance="outline">
          <input matInput name="firstName" formControlName="firstNameCtrl" required maxlength="50" minlength="2">
        </mat-form-field>
      </div>
      <div class="dhs-match-label" fxLayout="column">
        <mat-label>Last Name :</mat-label>
      </div>
      &nbsp;&nbsp;
      <div class="dhs-match-field" fxLayout="column">
        <mat-form-field appearance="outline">
          <input matInput name="lastName" formControlName="lastNameCtrl" required maxlength="50" minlength="2">
        </mat-form-field>
      </div>
      <div class="dhs-match-label" fxLayout="column">
        <mat-label>Social Security # :</mat-label>
      </div>
      &nbsp;&nbsp;
      <div class="dhs-match-field" fxLayout="column">
        <mat-form-field appearance="outline">
          <input matInput name="ssn" formControlName="ssnCtrl" mask="000-00-0000" required [showMaskTyped]="true">
        </mat-form-field>
      </div>
    </div>
    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="space-around" fxLayoutWrap="wrap"
      style="margin-right: 20px">
      <div class="dhs-match-label" fxLayout="column">
        <mat-label>Date of Birth :</mat-label>
      </div>
      &nbsp;&nbsp;
      <div class="dhs-match-field" fxLayout="column">
        <mat-form-field appearance="outline">
          <input type="text" matInput formControlName="dobCtrl" (change)="validateDOB()" required [textMask]="mask"
            placeholder="MM/DD/YYYY">
        </mat-form-field>
      </div>
      <div class="dhs-match-label" fxLayout="column">
        <mat-label>Gender :</mat-label>
      </div>
      &nbsp;&nbsp;
      <div class="dhs-match-field" fxLayout="column">
        <mat-form-field appearance="outline">
          <mat-select formControlName="genderCtrl" placeholder="Select">
            <mat-option *ngFor="let gender of genders" [value]="gender.refGroupDetailID">
              {{ gender.refGroupDetailDescription }}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>
      <div class="dhs-match-label" fxLayout="column">
        <mat-label>CIN :</mat-label>
      </div>
      &nbsp;&nbsp;
      <div class="dhs-match-field" fxLayout="column">
        <mat-form-field appearance="outline">
          <input matInput name="cin" formControlName="cinCtrl" maxlength="8" minlength="2" mask="SS00000S">
        </mat-form-field>
      </div>
    </div>
  </div>
  <div fxLayout="row" fxLayout.lt-md="column" class="justify" style="margin-right: 20px">
    <div fxLayout="column" fxLayoutAlign="start" class="align-center">
      <button type="button" mat-raised-button color="primary" matTooltip="Match Client" matTooltipClass="pact-tooltip"
        (click)="searchClient()" [disabled]="isClientMatch">Match</button>
    </div>
    &nbsp;&nbsp;
    <div fxLayout="column" class="align-center">
      <button type="button" mat-raised-button color="primary" matTooltip="Refresh" matTooltipClass="pact-tooltip"
        (click)="refreshData()" [disabled]="isClientMatch">Refresh</button>
    </div>
  </div>
  <br>
  <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="space-around" fxLayoutWrap="wrap" style="width: 100%">
    <div fxLayout="column" style="width: 100%">
      <ag-grid-angular style="width: 100%" class="ag-theme-balham dhs-grid" [rowData]="dhsClientRowData"
        [columnDefs]="dhsClientColumnDefs" (gridReady)="dhsClientGridReady($event)" [floatingFilter]="true"
        [animateRows]="false" [overlayNoRowsTemplate]="dhsClientOverlayNoRowsTemplate" [context]="context"
        [frameworkComponents]="dhsClientFrameworkComponents" [defaultColDef]="dhsClientDefaultColDef"
        [pagination]="true" [paginationPageSize]="10">
      </ag-grid-angular>
    </div>
  </div>
  <br>
  <mat-accordion>
    <mat-expansion-panel [expanded]="housingEpisodesExpanded" (opened)="housingEpisodesExpanded = true"
      (closed)="housingEpisodesExpanded = false">
      <mat-expansion-panel-header>
        <mat-panel-title>
          <mat-icon class="expand-collapse-icon">
            {{ housingEpisodesExpanded  ? 'indeterminate_check_box' : 'add_box' }}</mat-icon>
          <span class="housing-episodes-expansion-label">
            Housing Episodes
          </span>
        </mat-panel-title>
      </mat-expansion-panel-header>
      <ag-grid-angular style="width: 100%" class="ag-theme-balham dhs-grid" [rowData]="episodesRowData"
        [columnDefs]="episodesColumnDefs" (gridReady)="episodesGridReady($event)" [floatingFilter]="true"
        [animateRows]="false" [overlayNoRowsTemplate]="episodesOverlayNoRowsTemplate"
        [defaultColDef]="episodesDefaultColDef" [pagination]="true" [paginationPageSize]="10">
      </ag-grid-angular>
    </mat-expansion-panel>
  </mat-accordion>
</form>